Edge Rails Webrick Problem


#1

Can anyone help me with the following error while trying to start
webrick on edge rails? Was working last week, but recent updates are
causing the following error. Is there something in my existing rails
dir that I might need to update?

Thanks in advance for any help.

./script/…/config/…/vendor/rails/activesupport/lib/active_support/core
ext/kernel/agnostics.rb:7:in ': Exec format error - rake tmp:create (Errno::ENOEXEC) from ./script/../config/../vendor/rails/activesupport/lib/active_support/core _ext/kernel/agnostics.rb:7:in
from
./script/…/config/…/vendor/rails/railties/lib/commands/server.rb:28
from
./script/…/config/…/vendor/rails/railties/lib/commands/server.rb:28:in
silence_stderr' from ./script/../config/../vendor/rails/activesupport/lib/active_support/core _ext/kernel/reporting.rb:26:insilence_stream’
from
./script/…/config/…/vendor/rails/activesupport/lib/active_support/core
ext/kernel/reporting.rb:26:in silence_stderr' from ./script/../config/../vendor/rails/railties/lib/commands/server.rb:28 from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:inrequire

from
c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:18:in
require' from ./script/server:5 from -e:3:inload’
from -e:3


#2

http://dev.rubyonrails.org/ticket/4139


#3

“Chris B.” removed_email_address@domain.invalid writes:

Can anyone help me with the following error while trying to start
webrick on edge rails? Was working last week, but recent updates are
causing the following error. Is there something in my existing rails
dir that I might need to update?

Try ruby 1.84.
I had a similar problem with ruby 1.82 but moving to 1.84 solved it.


Surendra S.
http://ssinghi.kreeti.com, http://www.kreeti.com

,----
| “All animals are equal, but some animals are more equal than others.”
| – Orwell, Animal Farm, 1945
`----